package cn.fateverse.workflow.enums;

/**
 * 操作状态枚举
 *
 * @author Clay
 * @date 2023-03-19
 */
public enum OperationStateEnums {
    PASS("pass"),
    UNACTIVATED("unactivated"),
    CREATE("create"),
    AGREE("agree"),
    SUCCESS("success"),
    FAILURE("failure"),
    RUNNING("running"),
    REFUSE("refuse"),
    SIGN("sign"),
    COMMENT("comment"),
    ROLLBACK("rollback"),
    AUTO_REFUSE("autoRefuse"),
    AUTO_PASS("autoPass"),
    ;


    private final String state;


    OperationStateEnums(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }
}
